farming.register_plant("btmt:potato", {
	description = "Potato",
	harvest_description = "potato",
	paramtype = "light",
	paramtype2 = "plantlike",  
	inventory_image = "potato_seed.png",
	steps = 4,
	minlight = 13,
	maxlight = default.LIGHT_MAX,
	fertility = {"grassland"},
	groups = {flammable = 4,not_in_creative_inventory = 1},
	place_param2 = 3,
	--drop = "btmt:seed_potato 2",		
})

core.override_item("btmt:potato", {
	--drop = "btmt:potato",	
	on_use = core.item_eat(2),
	groups = {food = 1},
})

core.register_craftitem("btmt:potato_baked", {
	description = "Potato Baked",
	inventory_image = "baked_potato.png",
	on_use = core.item_eat(5),
})

core.register_craft({
	type = "cooking",
	output = "btmt:potato_baked", 
	recipe = "btmt:potato"
})

core.register_decoration({
	name = "btmt:potato_4_dec",
	deco_type = "simple",
	place_on = {"default:dirt_with_grass"},
	sidelen = 16,
	fill_ratio = 0.001,	
	biomes = {"deciduous_forest"},	
	y_min = 1,
	y_max = 31000,
	decoration = "btmt:potato_4",
})
